.TH wxPrintDialog 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxPrintDialog \- See external documentation: wxPrintDialog\&.
.SH DESCRIPTION
.LP
See external documentation: wxPrintDialog <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintdialog\&.html>\&. 
.LP
This class is derived (and can use functions) from: 
.br
wxDialog 
.br
wxTopLevelWindow 
.br
wxWindow 
.br
wxEvtHandler 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxPrintDialog()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new(Parent::wxWindow() (see module wxWindow)) -> wxPrintDialog()
.br
.RS
.LP
Equivalent to new(Parent, [])\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), X::term()) -> wxPrintDialog()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintdialog\&.html#wxprintdialogwxprintdialog>\&. 
.br
 Alternatives: 
.LP
\fI new(Parent::wxWindow:wxWindow(), [Option]) -> wxPrintDialog() \fR 
.br
 Option = {data, wxPrintDialogData:wxPrintDialogData()} 
.LP
\fI new(Parent::wxWindow:wxWindow(), Data::wxPrintData:wxPrintData()) -> wxPrintDialog() \fR 
.RE
.LP
.B
getPrintDialogData(This::wxPrintDialog()) -> wxPrintDialogData() (see module wxPrintDialogData)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintdialog\&.html#wxprintdialoggetprintdialogdata>\&.
.RE
.LP
.B
getPrintDC(This::wxPrintDialog()) -> wxDC() (see module wxDC)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintdialog\&.html#wxprintdialoggetprintdc>\&.
.RE
.LP
.B
destroy(This::wxPrintDialog()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
